/**
 * Utils - Get Image
 */
import type { ImageArgs, ImageReturn, ImageMaxWidthArgs } from './getImageTypes';
/**
 * Function - get responsive image output
 *
 * @param {import('./getImageTypes').ImageArgs} args
 * @return {import('./getImageTypes').ImageReturn|string}
 */
declare const getImage: (args?: ImageArgs) => ImageReturn | string;
/**
 * Function - get closest value in config sizes
 *
 * @param {number} size
 * @return {number}
 */
declare const getImageClosestSize: (size: number) => number;
/**
 * Function - calculate max width from column and container parents
 *
 * @param {import('./getImageTypes').ImageMaxWidthArgs} args
 * @return {number}
 */
declare const getImageMaxWidth: ({ parents, widths, maxWidths, breakpoints, source }: ImageMaxWidthArgs) => number;
export { getImage, getImageClosestSize, getImageMaxWidth };
